<?php

/*
*
* @link           https://xarxaprod.cat
* @since          1.0.0
* @package        xarxaprod-wp-plugin
*
* Plugin Name:    Xarxaprod wp plugin
* Plugin URI:     https://git.hangar.org/xarxaprod/xarxaprod-wp-plugin
* Description:    Different needs for the Xarxaprod.cat Wordpress theme needs. Adds support for: SVG.
* Date:           2023 12 29
* Version:        1.3.0
* Author:         jorge - vitrubio.net
* Author URI:     https://vitrubio.net/
* License:        GPL 3.0
* License URI:    https://www.gnu.org/licenses/gpl-3.0.html
* Text Domain:    xarxaprod-wpplugin-textdomain
* Domain Path:    /languages
*/

/*
if ever read this never forget to check
howto write a pluggin by Wordpress.org
https://codex.wordpress.org/Writing_a_Plugin
and the best practices
https://developer.wordpress.org/plugins/plugin-basics/best-practices/
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
//defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'XARXAPROD_WPPLUGIN_VERSION', '1.0.0' );

define( 'XARXAPROD_WPPLUGIN_BUILD_NUMBER', '1' );

/* *
* define Plugin path
* https://developer.wordpress.org/reference/functions/plugin_dir_path/#comment-1113
* * * * * * * * * * * * * * * * * * */

define( 'XARXAPROD_WPPLUGIN_FILE', __FILE__ );

define( 'XARXAPROD_WPPLUGIN_PATH', plugin_dir_path( __FILE__ ) ); //in server

define( 'XARXAPROD_WPPLUGIN_URL', plugin_dir_url( __FILE__ ) ); //public

//define( 'XARXAPROD_WPPLUGIN_BASENAME', plugin_basename( __FILE__ ) );

include( XARXAPROD_WPPLUGIN_PATH . 'includes/plugin-init-textdomain.php');

include( XARXAPROD_WPPLUGIN_PATH . 'includes/plugin-settings-pannel.php');

include( XARXAPROD_WPPLUGIN_PATH . 'includes/enable-svg.php');

if ( is_admin() ) {
include( XARXAPROD_WPPLUGIN_PATH . 'includes/stylesheet-admin.php');
//} else {
//include( XARXAPROD_WPPLUGIN_PATH . 'includes/stylesheet-public.php');
}

// post type ajuts
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-post-type-ajuts.php');
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-field-ajuts-filter.php');
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-field-ajuts-filter-function-frontend.php');

// post type convocatories
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-post-type-convos.php');
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-field-convos-filter.php');
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-field-convos-filter-function-frontend.php');

// post type associats
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-post-type-associats.php');
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-field-associats-filter.php');
include( XARXAPROD_WPPLUGIN_PATH . 'includes/custom-field-associats-filter-function-frontend.php');

// plugin js scripts
include( XARXAPROD_WPPLUGIN_PATH . 'includes/register-plugin-scripts.php');

// include leaflet map shortcodes
include( XARXAPROD_WPPLUGIN_PATH . 'includes/xarxaprod-leafletmap.php');
